caption: Select <ph name="LACROS_NAME">Lacros</ph> browser binary
default: user_choice
default_for_enterprise_users: rootfs
desc: |-
  This setting configures which <ph name="LACROS_NAME">Lacros</ph> browser to use.

  If the policy is set to <ph name="LACROS_SELECTION_USER_CHOICE_VALUE">user_choice</ph>,
  the user can decide which <ph name="LACROS_NAME">Lacros</ph> browser to load: binary from
  <ph name="LACROS_ROOTFS_NAME">rootfs</ph> or <ph name="LACROS_STATEFUL_NAME">stateful</ph> partition.
  If the user has not set any preference, the binary with the newest version will be chosen.

  If the policy is set to <ph name="LACROS_SELECTION_ROOTFS_VALUE">rootfs</ph>,
  always load <ph name="LACROS_ROOTFS_NAME">rootfs</ph> binary of
  <ph name="LACROS_NAME">Lacros</ph> browser.

  If the policy is unset, the default is <ph name="LACROS_SELECTION_ROOTFS_VALUE">rootfs</ph> for enterprise-managed users and
  <ph name="LACROS_SELECTION_USER_CHOICE_VALUE">user_choice</ph> for non-managed users.

  Note that changing the policy's value may cause
  <ph name="LACROS_NAME">Lacros</ph> browser's data loss if the browser's
  version it changes to is older than the current one. For example, if the
  policy changes from <ph name="LACROS_SELECTION_USER_CHOICE_VALUE">user_choice</ph>
  to <ph name="LACROS_SELECTION_ROOTFS_VALUE">rootfs</ph>, and the first one was
  updated. Or if <ph name="PRODUCT_OS_NAME">$2<ex>Google ChromeOS</ex></ph> was
  updated together with <ph name="LACROS_ROOTFS_NAME">rootfs</ph>
  <ph name="LACROS_NAME">Lacros</ph> browser, and
  <ph name="LACROS_STATEFUL_NAME">stateful</ph> has not been updated yet.
  In such scenarios the correct data migration is not guaranteed.

  Using <ph name="LACROS_SELECTION_USER_CHOICE_VALUE">user_choice</ph> or <ph name="LACROS_SELECTION_ROOTFS_VALUE">rootfs</ph>
  is a safe option. Switching from <ph name="LACROS_SELECTION_ROOTFS_VALUE">rootfs</ph> to <ph name="LACROS_SELECTION_USER_CHOICE_VALUE">user_choice</ph>
  is safe as well.

example_value: user_choice
features:
  dynamic_refresh: false
  per_profile: false
items:
- caption: Allow users to select <ph name="LACROS_NAME">Lacros</ph> browser binary
  name: user_choice
  value: user_choice
- caption: Always load <ph name="LACROS_ROOTFS_NAME">rootfs</ph> <ph name="LACROS_NAME">Lacros</ph> browser
  name: rootfs
  value: rootfs
owners:
- asumaneev@google.com
schema:
  enum:
  - user_choice
  - rootfs
  type: string
supported_on:
- chrome_os:112-
tags: []
type: string-enum
